# Simple configure file for early-init program

[weston]
env=XDG_RUNTIME_DIR=@XDG_RUNTIME_DIR@
user=display
wait=/dev/dri/card0
cmd=/usr/bin/weston
argv=--tty=1
pidfile=/run/early/weston.pid
log=/run/weston.txt
<end>

[ip_config]
msleep=25
cmd=/sbin/ifconfig
wait=/sys/devices/eth0
argv=eth0
argv=192.168.2.2
argv=up
log=/dev/null
<end>

[ethcam]
env=XDG_RUNTIME_DIR=@XDG_RUNTIME_DIR@
bindcpumask=12
cmd=/usr/bin/ethcam
argv=1
argv=50001
argv=0
argv=0
argv=1
argv=0
argv=1
argv=1
argv=0
argv=0
argv=0
argv=0
argv=0
pidfile=/run/early/ethcam.pid
log=/dev/null
gpio=109
<end>
